# Class SessManager

Class SessManager

Declaration :

- C++ : class SessManager

Artifact : sessmanager

Operation clear

Declaration :

- Uml : + clear() : void
- C++ : public: void clear ()

clear current session contents
without resetting overall session config.
Afterwards, the session will contain only one
empty EDL, while all Assets are retained.

Operation reset

Declaration :

- Uml : + reset() : void
- C++ : public: void reset ()

reset all session config and
start with a pristine default session.

Operation load

Declaration :

- Uml : + load() : void
- C++ : public: void load ()

replace the current session by a new
session loaded from serialized state.

Operation save

Declaration :

- Uml : + save() : void
- C++ : public: void save ()

create a complete, serialized representation
of the current session config and contents.
@todo how to serialize, prameters, return value?

All public operations : clear , load , reset , save